--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Assign initial connection params for <tt>host</tt>, <tt>port</tt>, and <tt>http_headers</tt>. No connection is established until an HTTP method is invoked.
full_name: ThinHTTP::new
is_singleton: true
name: new
params: (host = 'localhost', port = 2000, http_headers = {})
visibility: public
